### Constructor

# Camel GpgContext new

#### Declaration [src]

    CamelCipherContext*
    camel_gpg_context_new (
      CamelSession* session
    )

#### Description [src]

Creates a new gpg cipher context object.

#### Parameters

`session`

  Type: `CamelSession`

  Session.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `CamelCipherContext`

A new gpg cipher context object.

The caller of the function takes ownership of the data, and is responsible for freeing it.